package com.keao.edu.user.dto;

import com.keao.edu.user.enums.StudentRegistrationStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ExamRegistrationDto{

    @ApiModelProperty(value = "报名编号")
    private Long id;

    @ApiModelProperty(value = "考级项目编号")
    private Long examinationBasicId;

    @ApiModelProperty(value = "专业编号")
    private Integer subjectId;

    @ApiModelProperty(value = "报考级别")
    private Integer level;

    @ApiModelProperty(value = "考级费用")
    private BigDecimal levelFee;

    @ApiModelProperty(value = "乐理级别")
    private Integer examMusicTheoryLevel;

    @ApiModelProperty(value = "乐理考级费用")
    private BigDecimal theoryLevelFee;

    @ApiModelProperty(value = "考试内容")
    private String songJson;

    @ApiModelProperty(value = "上次报考级别")
    private Integer lastExamLevel;

    @ApiModelProperty(value = "上次报考证书")
    private String lastExamCertificateUrl;

    @ApiModelProperty(value = "上次乐理级别")
    private Integer lastMusicTheoryLevel;

    @ApiModelProperty(value = "上次乐理证书")
    private String lastMusicTheoryCertificateUrl;

    @ApiModelProperty(value = "证件号")
    private String cardNo;

    @ApiModelProperty(value = "报名状态（缴费状态）")
    private StudentRegistrationStatusEnum status;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "订单编号")
    private String paymentOrderNo;

    @ApiModelProperty(value = "考试项目名称")
    private String examBaseName;

    @ApiModelProperty(value = "考试专业")
    private String subjectName;

    @ApiModelProperty(value = "报名开始时间")
    private String enrollStartTime;

    @ApiModelProperty(value = "演奏曲列表（用逗号分隔）")
    private String performSongIdList;

    @ApiModelProperty(value = "练习曲列表（用逗号分隔）")
    private String practiceSongIdList;

    @ApiModelProperty(value = "报名结束时间")
    private String enrollEndTime;

    @ApiModelProperty(value = "预计考试开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "预计考试结束时间")
    private String examEndTime;

    private String studentName;

    public String getPerformSongIdList() {
        return performSongIdList;
    }

    public void setPerformSongIdList(String performSongIdList) {
        this.performSongIdList = performSongIdList;
    }

    public String getPracticeSongIdList() {
        return practiceSongIdList;
    }

    public void setPracticeSongIdList(String practiceSongIdList) {
        this.practiceSongIdList = practiceSongIdList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExaminationBasicId() {
        return examinationBasicId;
    }

    public void setExaminationBasicId(Long examinationBasicId) {
        this.examinationBasicId = examinationBasicId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public BigDecimal getLevelFee() {
        return levelFee;
    }

    public void setLevelFee(BigDecimal levelFee) {
        this.levelFee = levelFee;
    }

    public Integer getExamMusicTheoryLevel() {
        return examMusicTheoryLevel;
    }

    public void setExamMusicTheoryLevel(Integer examMusicTheoryLevel) {
        this.examMusicTheoryLevel = examMusicTheoryLevel;
    }

    public BigDecimal getTheoryLevelFee() {
        return theoryLevelFee;
    }

    public void setTheoryLevelFee(BigDecimal theoryLevelFee) {
        this.theoryLevelFee = theoryLevelFee;
    }

    public String getSongJson() {
        return songJson;
    }

    public void setSongJson(String songJson) {
        this.songJson = songJson;
    }

    public Integer getLastExamLevel() {
        return lastExamLevel;
    }

    public void setLastExamLevel(Integer lastExamLevel) {
        this.lastExamLevel = lastExamLevel;
    }

    public String getLastExamCertificateUrl() {
        return lastExamCertificateUrl;
    }

    public void setLastExamCertificateUrl(String lastExamCertificateUrl) {
        this.lastExamCertificateUrl = lastExamCertificateUrl;
    }

    public Integer getLastMusicTheoryLevel() {
        return lastMusicTheoryLevel;
    }

    public void setLastMusicTheoryLevel(Integer lastMusicTheoryLevel) {
        this.lastMusicTheoryLevel = lastMusicTheoryLevel;
    }

    public String getLastMusicTheoryCertificateUrl() {
        return lastMusicTheoryCertificateUrl;
    }

    public void setLastMusicTheoryCertificateUrl(String lastMusicTheoryCertificateUrl) {
        this.lastMusicTheoryCertificateUrl = lastMusicTheoryCertificateUrl;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public StudentRegistrationStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentRegistrationStatusEnum status) {
        this.status = status;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getExamBaseName() {
        return examBaseName;
    }

    public void setExamBaseName(String examBaseName) {
        this.examBaseName = examBaseName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getEnrollStartTime() {
        return enrollStartTime;
    }

    public void setEnrollStartTime(String enrollStartTime) {
        this.enrollStartTime = enrollStartTime;
    }

    public String getEnrollEndTime() {
        return enrollEndTime;
    }

    public void setEnrollEndTime(String enrollEndTime) {
        this.enrollEndTime = enrollEndTime;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getPaymentOrderNo() {
        return paymentOrderNo;
    }

    public void setPaymentOrderNo(String paymentOrderNo) {
        this.paymentOrderNo = paymentOrderNo;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }
}
